summaryrefslogtreecommitdiffstats
path: root/games/tmw
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:23 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:23 +0200
commite734dea83dd349a62ebd87e6d8f4b6bc97d86f6c (patch)
tree3c01a3a77b00dad48626a2e5d2154f38273578d6 /games/tmw
parenteec9fed8807ee654a4c55045d3f22ae67e739386 (diff)
downloadslackbuilds-e734dea83dd349a62ebd87e6d8f4b6bc97d86f6c.tar.gz
slackbuilds-e734dea83dd349a62ebd87e6d8f4b6bc97d86f6c.tar.xz
games/tmw: Initial import
Diffstat (limited to 'games/tmw')
-rw-r--r--games/tmw/README9
-rw-r--r--games/tmw/slack-desc11
-rw-r--r--games/tmw/tmw.SlackBuild56
-rw-r--r--games/tmw/tmw.info8
4 files changed, 84 insertions, 0 deletions
diff --git a/games/tmw/README b/games/tmw/README
new file mode 100644
index 0000000000..12741ab486
--- /dev/null
+++ b/games/tmw/README
@@ -0,0 +1,9 @@
+The Mana World (TMW) is a serious effort to create an innovative
+free and open source MMORPG. TMW uses 2D graphics and aims to create
+a large and diverse interactive world. It is licensed under the GPL,
+making sure this game can't ever run away from you.
+
+Build requirements are:
+ * physfs
+ * guichan
+These are all available at slackbuilds.org
diff --git a/games/tmw/slack-desc b/games/tmw/slack-desc
new file mode 100644
index 0000000000..7dba026595
--- /dev/null
+++ b/games/tmw/slack-desc
@@ -0,0 +1,11 @@
+tmw: The Mana World - A Free Open Source 2D MMORPG
+tmw:
+tmw: The Mana World (TMW) is a serious effort to create an innovative
+tmw: free and open source MMORPG. TMW uses 2D graphics and aims to create
+tmw: a large and diverse interactive world. It is licensed under the GPL,
+tmw: making sure this game can't ever run away from you.
+tmw:
+tmw: Homepage: http://themanaworld.org/
+tmw:
+tmw:
+tmw:
diff --git a/games/tmw/tmw.SlackBuild b/games/tmw/tmw.SlackBuild
new file mode 100644
index 0000000000..f402069081
--- /dev/null
+++ b/games/tmw/tmw.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for The Mana World
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=tmw
+VERSION=0.0.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chown -R a-s,u+w,go-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README docs/FAQ.txt docs/HACKING.txt \
+ docs/items.txt docs/packages.txt docs/progression.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/tmw/tmw.info b/games/tmw/tmw.info
new file mode 100644
index 0000000000..d08247f72a
--- /dev/null
+++ b/games/tmw/tmw.info
@@ -0,0 +1,8 @@
+PRGNAM="tmw"
+VERSION="0.0.21"
+HOMEPAGE="http://themanaworld.org/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/themanaworld/tmw-0.0.21.tar.gz"
+MD5SUM="e13a748b8e279fa694db5eb14ac4a8a9"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"